<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .link1, .link2, .link3,
        .link4, .link4, .link5 {
            text-decoration: none;
        }
        .link1:hover {
          background-color: #ccccff;
          }

        .link2:hover {
            color: red;
            border: black;
        }  
        .link3:hover {
            border-bottom:1px solid red;
        }
        .link4:hover {
            font-size: 20px;
        }
        .link5:hover {
            font-weight:  bold;
        }



    </style>
</head>
<body>
    <a class="link1" href="">Link 1</a>
    <a class="link2" href="">Link 2</a>
    <a class="link3" href="">Link 3</a>
    <a class="link4" href="">Link 4</a>
    <a class="link5" href="">Link5</a>
</body>
</html>